import type { DoxicityPlugin } from 'src/utilities/types';
interface IconAddonOptions {
    className: string;
    url: string;
    title: string;
    target: '_self' | '_blank';
    icon: keyof typeof icons | string;
}
declare const icons: {
    discord: string;
    git: string;
    github: string;
    heart: string;
    instagram: string;
    slack: string;
    stackOverflow: string;
    twitter: string;
};
export default function (options: Partial<IconAddonOptions>): DoxicityPlugin;
export {};
